Debian Bug report logs - #584884
running lh build runs build steps twice

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Michal Suchanek <michal.suchanek@ruk.cuni.cz>

Date: Mon, 7 Jun 2010 11:15:06 UTC

Severity: normal

Fixed in version live-build/2.0~a28-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, hramrach@centrum.cz, Debian Live Project <debian-live@lists.debian.org>:
Bug#584884; Package live-helper. (Mon, 07 Jun 2010 11:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Suchanek <michal.suchanek@ruk.cuni.cz>:
New Bug report received and forwarded. Copy sent to hramrach@centrum.cz, Debian Live Project <debian-live@lists.debian.org>. (Mon, 07 Jun 2010 11:15:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michal Suchanek <michal.suchanek@ruk.cuni.cz>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-helper: running lh build runs build steps twice
Date: Mon, 07 Jun 2010 13:14:30 +0200
[Message part 1 (text/plain, inline)]
Package: live-helper
Version: 2.0~a14-1
Severity: normal


After unpacking the attached config into an empty directory running lh
build twice results in live-helper performing all the build steps three
times.

When the directory contains nothing but the auto/ directory the build
runs only once but rebuilding after a clean runs build twice.


-- Package-specific info:

-- System Information:
Debian Release: squeeze/sid
  APT prefers stable
  APT policy: (990, 'stable'), (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-2-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-helper depends on:
ii  debootstrap                 1.0.10lenny1 Bootstrap a basic Debian system

Versions of packages live-helper recommends:
ii  cpio                          2.9-13     GNU cpio -- a program to manage ar
ii  gettext-base                  0.17-4     GNU Internationalization utilities
ii  gnu-fdisk                     1.2-1      Linux fdisk replacement based on l

Versions of packages live-helper suggests:
ii  dosfstools     3.0.1-1                   utilities for making and checking 
ii  fakeroot       1.11                      Gives a fake root environment
ii  genisoimage    9:1.1.10-1                Creates ISO-9660 CD-ROM filesystem
ii  grub           0.97-47lenny2             GRand Unified Bootloader (Legacy v
ii  memtest86      3.5-2.2                   thorough real-mode memory tester
ii  memtest86+     4.00-2.2                  thorough real-mode memory tester
ii  mtools         3.9.11-1                  Tools for manipulating MSDOS files
ii  parted         1.8.8.git.2008.03.24-11.1 The GNU Parted disk partition resi
ii  squashfs-tools 1:3.3-7                   Tool to create and append to squas
ii  syslinux       2:3.86+dfsg-3             utilities for the syslinux bootloa
pn  uuid-runtime   <none>                    (no description available)
pn  win32-loader   <none>                    (no description available)

-- no debconf information
[auto.tgz (application/x-gzip, attachment)]

Changed Bug title to 'running lh build runs build steps twice' from 'live-helper: running lh build runs build steps twice' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 14 Jun 2010 03:30:04 GMT) Full text and rfc822 format available.

Bug reassigned from package 'live-helper' to 'live-build'. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 27 Jul 2010 14:45:10 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions live-helper/2.0~a14-1. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 27 Jul 2010 14:45:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#584884; Package live-build. (Mon, 02 Aug 2010 19:03:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Suchanek <hramrach@centrum.cz>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 02 Aug 2010 19:03:12 GMT) Full text and rfc822 format available.

Message #16 received at 584884@bugs.debian.org (full text, mbox):

From: Michal Suchanek <hramrach@centrum.cz>
To: Debian Bug Tracking System <584884@bugs.debian.org>
Subject: Re: Bug#584884: live-helper: running lh build runs build steps twice
Date: Mon, 2 Aug 2010 21:02:01 +0200
On 7 June 2010 13:14, Michal Suchanek <michal.suchanek@ruk.cuni.cz> wrote:
> Package: live-helper
> Version: 2.0~a14-1
> Severity: normal
>
>
> After unpacking the attached config into an empty directory running lh
> build twice results in live-helper performing all the build steps three
> times.
>
> When the directory contains nothing but the auto/ directory the build
> runs only once but rebuilding after a clean runs build twice.
>

This is apparently caused by using an auto/build script.

The script has: lh build noauto "$@" 2>&1 | tee build.log

However, only the first run is logged in build.log, the second run is
executed by l-h outside of this script.

I noticed because the build.log shows a failed build (due to plymouth
preventing configuration of linux-image) but the build was actually
sucessful.

Thanks

Michal




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Mon, 13 Sep 2010 19:51:13 GMT) Full text and rfc822 format available.

Notification sent to Michal Suchanek <michal.suchanek@ruk.cuni.cz>:
Bug acknowledged by developer. (Mon, 13 Sep 2010 19:51:13 GMT) Full text and rfc822 format available.

Message #21 received at 584884-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 584884-close@bugs.debian.org
Subject: Bug#584884: fixed in live-build 2.0~a28-1
Date: Mon, 13 Sep 2010 19:47:11 +0000
Source: live-build
Source-Version: 2.0~a28-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_2.0~a28-1_all.deb
  to main/l/live-build/live-build-cgi_2.0~a28-1_all.deb
live-build_2.0~a28-1.diff.gz
  to main/l/live-build/live-build_2.0~a28-1.diff.gz
live-build_2.0~a28-1.dsc
  to main/l/live-build/live-build_2.0~a28-1.dsc
live-build_2.0~a28-1_all.deb
  to main/l/live-build/live-build_2.0~a28-1_all.deb
live-build_2.0~a28.orig.tar.gz
  to main/l/live-build/live-build_2.0~a28.orig.tar.gz
live-helper_2.0~a28-1_all.deb
  to main/l/live-build/live-helper_2.0~a28-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 584884@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 13 Sep 2010 21:28:16 +0200
Source: live-build
Binary: live-build live-build-cgi live-helper
Architecture: source all
Version: 2.0~a28-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System Build Scripts
 live-build-cgi - Debian Live - System Build Scripts (cgi frontend)
 live-helper - Debian Live - System Build Scripts (transitional package)
Closes: 572455 584884
Changes: 
 live-build (2.0~a28-1) unstable; urgency=low
 .
   [ Cody A.W. Somerville ]
   * Addding maverick to list of releases.
 .
   [ Daniel Baumann ]
   * Removing EOL Ubuntu releases.
   * Adding preconfig project to repositories.
   * Updating path in local helper for live-build.
   * Prefixing helper scripts to make 'out of source' usage usable
     (Closes: #572455).
   * Avoid running helpers twice when using auto (Closes: #584884).
Checksums-Sha1: 
 16ff81ded1f9d4336e3124dccaedea773a8eb640 1275 live-build_2.0~a28-1.dsc
 87647c1a47623c95858b830e002832fe5fb48ac2 2135721 live-build_2.0~a28.orig.tar.gz
 9a09a0c7f323a2b1f3cf4bdeba57aa78190ce18a 42078 live-build_2.0~a28-1.diff.gz
 52600f1bbc3f8e9f4eaba90f94836fef9ac23df8 1192428 live-build_2.0~a28-1_all.deb
 d3872d0d4198ba00a77a671d764eda72e254ccaa 59308 live-build-cgi_2.0~a28-1_all.deb
 331f50d32790f06fedb49d64ba2e566562d2c740 54590 live-helper_2.0~a28-1_all.deb
Checksums-Sha256: 
 538b9bba61ed74426f65ade506b79924a99e6ce17579e245db75852798c093da 1275 live-build_2.0~a28-1.dsc
 b2a79821c442091e9dc4c29b6ffafb162709bacae347d513a19afe2c5bbf31ed 2135721 live-build_2.0~a28.orig.tar.gz
 d8357da8d201c90e19af03258d348145a5472a8737a918cfe1e6517e3681c5e0 42078 live-build_2.0~a28-1.diff.gz
 7378da6bb9e0ffe3af1678bba35f99ff74a05a694229f4e0e24a3d72ad6602f2 1192428 live-build_2.0~a28-1_all.deb
 533d065a6e0227edd6c8c11053b0c1d73c6f738cf6bdaa865de4d316bda6d947 59308 live-build-cgi_2.0~a28-1_all.deb
 ea0e9b25574ef118b16e088707da3d94d75db2d543ed52262e7cd396c80ec09e 54590 live-helper_2.0~a28-1_all.deb
Files: 
 82085f4e17852a67a0d83ab5bab36286 1275 misc optional live-build_2.0~a28-1.dsc
 d59400ca6c05201076aeeadaedd05974 2135721 misc optional live-build_2.0~a28.orig.tar.gz
 9def49a2797846c19de2934a3c6efc5f 42078 misc optional live-build_2.0~a28-1.diff.gz
 64028bf82537935e94c46cf720bd8d6c 1192428 misc optional live-build_2.0~a28-1_all.deb
 ef0543fee81bdea19c6917349bc3cc93 59308 misc optional live-build-cgi_2.0~a28-1_all.deb
 84570bce80f79bae678a85007b36f0a1 54590 misc optional live-helper_2.0~a28-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkyOfRYACgkQ+C5cwEsrK55HfQCg5HwVDJq4KmA77AC+VgucMS9H
epwAoJC5QpyMVfOI2A47KyeA4oPIz/iv
=UA2I
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 12 Oct 2010 07:38:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:03:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.